configure: error: fd passing is required for Dovecot to work

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

configure: error: fd passing is required for Dovecot to work

Dovecot mailing list
Hello

I changed our old gcc compiler from the version: gcc-4.1.2-13.fc6 to the
newer
one: gcc version 8.3.0 (GCC). Then I wanted to compile: Dovecot 2.3.7
and I get
the following error with ./configure

CPPFLAGS="-I/usr/local/openssl/include" \
LDFLAGS="-L/usr/local/openssl/lib" \
./configure --prefix=/usr/local/dovecot \
       --disable-static \
       --with-ssl=openssl

checking whether fd passing works... no
configure: error: fd passing is required for Dovecot to work

With the old Compiler configure works well. I couldn't find
a solution on the Internet - can you help me ?

--

Schöne Grüsse aus Oberdiessbach Martin Zahn

Akadia AG
Martin Zahn
Software Ing. HTL
Oracle Certificate Professional
Information Technology
Fichtenweg 10
CH-3672 Oberdiessbach

Tel: +41 79 410 27 87
Web: www.akadia.com
E-Mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: configure: error: fd passing is required for Dovecot to work

Dovecot mailing list

> On 06/09/2019 11:21 zahn via dovecot <[hidden email]> wrote:
>
>  
> Hello
>
> I changed our old gcc compiler from the version: gcc-4.1.2-13.fc6 to the
> newer
> one: gcc version 8.3.0 (GCC). Then I wanted to compile: Dovecot 2.3.7
> and I get
> the following error with ./configure
>
> CPPFLAGS="-I/usr/local/openssl/include" \
> LDFLAGS="-L/usr/local/openssl/lib" \
> ./configure --prefix=/usr/local/dovecot \
>        --disable-static \
>        --with-ssl=openssl
>
> checking whether fd passing works... no
> configure: error: fd passing is required for Dovecot to work
>
> With the old Compiler configure works well. I couldn't find
> a solution on the Internet - can you help me ?
>
> --
>
> Schöne Grüsse aus Oberdiessbach Martin Zahn
>

Can you check your config.log file for any hints? It can be bit annoying to read, but looking for 'fd pass' might help.

Aki
Reply | Threaded
Open this post in threaded view
|

Re: configure: error: fd passing is required for Dovecot to work

Dovecot mailing list
In reply to this post by Dovecot mailing list
On Fri, 6 Sep 2019, zahn wrote:

> I changed our old gcc compiler from the version: gcc-4.1.2-13.fc6 to the
> newer one: gcc version 8.3.0 (GCC). Then I wanted to compile: Dovecot 2.3.7 and I
> get the following error with ./configure
> ...
> checking whether fd passing works... no
> configure: error: fd passing is required for Dovecot to work

An earlier post by me and James Lee pointed out this problem
on a different platform but maybe it has the same cause.
Try configuring with "--disable-hardening" and see if that
works.

Joseph Tam <[hidden email]>